aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-04-12 16:10:45 +0200
committerTibor Frank <tifrank@cisco.com>2017-04-19 13:15:28 +0000
commit67c4d52d4b786dd5cfc3897d54deb56b4c4d8dc2 (patch)
tree29e554fabbc51cc5a0e4c55397d93281b0a3f76a
parentaf473c871980461c76209bfc4d82472ac982ef00 (diff)
CSIT-558: Performance jobs reorganization, part 2
Add: - csit-vpp-perf-check Change-Id: I31e40d37e38d27d3be15a40f6044ce5d907067be Signed-off-by: Tibor Frank <tifrank@cisco.com> (cherry picked from commit 47a843ce28984d752dff064afb78c91f18741611)
-rwxr-xr-xbootstrap-verify-perf.sh28
1 files changed, 26 insertions, 2 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 12afedb1c6..5ee10d161f 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright (c) 2016 Cisco and/or its affiliates.
+# Copyright (c) 2017 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -152,6 +152,30 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VERIFY-PERF-NDRDISC )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscAND1t1cORndrdiscAND2t2c \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-PDRDISC )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include pdrdiscAND1t1cORpdrdiscAND2t2c \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ VERIFY-PERF-NDRCHK )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrchkAND1t1cORndrchkAND2t2c \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
PERFTEST_LONG )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
@@ -169,7 +193,7 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
- PERFTEST_NIGHTLY )
+ PERFTEST_NIGHTLY )
#run all available tests
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \